﻿@model IEnumerable<ADS.Core.Model.Advogado>

@{
    ViewBag.Title = "Listar";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Listar Advogados</h2>

    <div class="row margem-abaixo">
        <div class="col-md-10">
            <span class="input-group-btn">
                <a href="@Url.Action("Cadastrar", "Advogado")" class="btn btn-primary"><i class="fa fa-plus"></i> Adicionar</a>
                <a href="@Url.Action("Importar", "Advogado")" class="btn btn-primary"><i class="fa fa-plus"></i> Importar</a>
                <a href="@Url.Action("Remover", "Advogado")" class="btn btn-primary"><i class="fa fa-remove"></i> Remover</a>
                <a href="#" class="btn btn-primary"><i class="fa fa-search"></i> Procurar</a>
            </span>
        </div>
    </div>
<table class="table table-responsive table-striped">
    <tr>
        <th><input type="checkbox" name="selectAll" id="selecionarTodos"/></th>
        <th>
            Nome
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CPF)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.RG)
        </th>
        <th>
            Nr. Inscrição
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Seccional)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Subsecao)
        </th>       
        <th>
            @Html.DisplayNameFor(model => model.Ativo)
        </th>     
        <th></th>
    </tr>
    
@foreach (var item in Model) {
    <tr>
        <td>
            @Html.CheckBox("chkAdv", false, new { id = item.AdvogadoId })
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Nome)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.CPF)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.RG)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.NumeroInscricao)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Seccional)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Subsecao)
        </td>       
        <td>
            @Html.DisplayFor(modelItem => item.Ativo)
        </td>
        <td>
            <a href="../Advogado/Editar/@item.AdvogadoId" onclick="editarAdvogado()" id=@item.AdvogadoId class="glyphicon glyphicon-pencil btn btn-primary btn-xs"></a>
            <a href="#a" onclick="detalhesAdvogado(@item.AdvogadoId)" id=@item.AdvogadoId class="glyphicon glyphicon-eye-open btn btn-default btn-xs"></a>
            <a href="#a" onclick="return confirm('Deseja remover esse registro?') ? removerAdvogado(@item.AdvogadoId) : '';" id=@item.AdvogadoId class="glyphicon glyphicon-remove btn btn-danger btn-xs"></a>

        </td>
    </tr>
}
</table>



@RenderPage("~/Views/Shared/_Paginacao.cshtml")

<!-- MODAIS -->
<!-- Detalhes Advogado-->
<div class="modal fade" id="modalDetalhesAdvogado" tabindex="-1" role="dialog" aria-labelledby="Detalhes Advogado">
    <div class="modal-dialog" role="document">
        <div class="modal-content" id="detalhesAdvogadoBody">
            
        </div>
    </div>
</div>
@section ScriptListarAdvJs {
    <script src="~/Scripts/ListarAdvJs.js"></script>
}
